/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno             */
/* All rights reserved.                                             */
/* **************************************************************** */

/**
 * @file Arc.cpp
 * @brief MGArcTool クラスのインプリメンテーション
 */
#include "stdafx.h"
#include "CurveCmd/Arc.h"
#include "CurveCmd/ArcCenStAng.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

// MGArcTool

MGArcTool::MGArcTool(fugenDoc* pDoc)
:MGCommandStateOwner(pDoc, ID_CURVE_ARC_CSA){
}

MGCommandBase* MGArcTool::initial_clone(fugenDoc* pDoc)const{
	return new MGArcTool(pDoc);
}

bool MGArcTool::initiate_tool(){
	MGCommandStateOwner::initiate_tool();
	set_child_current_command(new MGArcCenStAngTool(this));
	return false;
}
